# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{
  config,
  lib,
  pkgs,
  modulesPath,
  ...
}: {
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;

  boot.supportedFilesystems = ["btrfs"];
  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  networking.useDHCP = lib.mkForce true;

  # imports = [
  #   (modulesPath + "/profiles/qemu-guest.nix")
  # ];
  #
  # virtualisation.vmVariant = {
  #   # following configuration is added only when building VM with build-vm
  #   virtualisation = {
  #     memorySize = 4096; # Use 2048MiB memory.
  #     cores = 3;
  #   };
  # };
}
